%define py2_incdir %{_includedir}/python%{py_ver}
%define py2_libbuilddir %(python -c 'import sys; import sysconfig; print("lib.{p}-{v[0]}.{v[1]}".format(p=sysconfig.get_platform(), v=sys.version_info))')

Summary:	Python image processing library
Name:		python-pillow
Version:	3.2.0
Release:	1
License:	MIT
Group:		Development/Python
Url:		http://python-imaging.github.io/
Source0:	https://pypi.python.org/packages/source/P/Pillow/Pillow-%{version}.tar.gz
BuildRequires:	PyQt4
BuildRequires:	python-numpy
BuildRequires:	python-setuptools
BuildRequires:	python-sphinx
BuildRequires:	tkinter
BuildRequires:	jpeg-devel
BuildRequires:	tk-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(lcms)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(zlib)

# The package provides PIL, but has no egg-info for it,
# so this dependency is not generated. However, for some other packages
# Requires: pythonegg(pil) is still generated automatically
# so adding this provide for compatibility
Provides:	pythonegg(pil)
Provides:	python-imaging = %{EVRD}
Obsoletes:	python-imaging <= 1.1.7-12

%description
Python image processing library, fork of the Python Imaging Library (PIL)

This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.

There are four subpackages: tk (tk interface), qt (PIL image wrapper for Qt),
devel (development) and doc (documentation).

Interface for scanning devices is now available in a separate package 
called "python-sane".

%files
%doc README.rst CHANGES.rst docs/COPYING
%{py_platsitedir}/*
%exclude %{py_platsitedir}/PIL/ImageTk*
%exclude %{py_platsitedir}/PIL/SpiderImagePlugin*
%exclude %{py_platsitedir}/PIL/ImageQt*

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{EVRD}
Requires:	jpeg-devel
Requires:	pkgconfig(python)
Requires:	pkgconfig(zlib)
Provides:	python-imaging-devel = %{EVRD}
Obsoletes:	python-imaging-devel <= 1.1.7-12

%description devel
Development files for %{name}.

%files devel
%doc README.rst CHANGES.rst docs/COPYING
%{py2_incdir}/Imaging/

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{EVRD}
BuildArch:	noarch

%description doc
Documentation for %{name}.

%files doc
%doc Scripts docs/_build/html

#----------------------------------------------------------------------------

%package tk
Summary:	Tk interface for %{name}
Group:		System/Libraries
Requires:	%{name} = %{EVRD}
Requires:	tkinter
Provides:	python-imaging-tk = %{EVRD}
Obsoletes:	python-imaging-tk <= 1.1.7-12

%description tk
Tk interface for %{name}.

%files tk
%doc README.rst CHANGES.rst docs/COPYING
%{py_platsitedir}/PIL/ImageTk*
%{py_platsitedir}/PIL/SpiderImagePlugin*

#----------------------------------------------------------------------------

%package qt
Summary:	PIL image wrapper for Qt
Group:		System/Libraries
Requires:	%{name} = %{EVRD}
Requires:	PyQt4
Provides:	python-imaging-qt = %{EVRD}

%description qt
PIL image wrapper for Qt.

%files qt
%doc README.rst CHANGES.rst docs/COPYING
%{py_platsitedir}/PIL/ImageQt*

#----------------------------------------------------------------------------

%prep
%setup -q -n Pillow-%{version}

%build
find -name '*.py' | xargs sed -i '1s|^#!.*python|#!%{__python}|'
CFLAGS="%{optflags}  -Wl,--no-as-needed -lpthread -lm" python setup.py build

pushd docs
PYTHONPATH=$PWD/.. make html
rm -f _build/html/.buildinfo
popd

%install
install -d %{buildroot}/%{py2_incdir}/Imaging
install -m 644 libImaging/*.h %{buildroot}/%{py2_incdir}/Imaging
python setup.py install --skip-build --root %{buildroot}

rm -rf %{buildroot}%{_bindir}

%changelog

* Sun Apr 24 2016 Denis Silakov <dsilakov@gmail.com> 3.2.0-1
- (d88a1e8) Updated to 3.2.0


